using System.ComponentModel.DataAnnotations;
using Shared.Enum;

namespace CatalogService.DTOs;

public class CreateExerciceTemplateDto
{
    [Required]
    public string Name { get; set; }
    
    [Required]
    public string Description { get; set; }
    
    public ETarget? Target { get; set; } = ETarget.None;
    
    public string? ImageUrl { get; set; } = "images/default.jpg";
    
    public string? VideoUrl { get; set; } = "https://www.youtube.com/watch?v=dQw4w9WgXcQ&ab_channel=RickAstley";
}